### Class

# Msg DriveService

since: 0

#### Description

    final class Msg.DriveService : Msg.Service
    {
      /* No available fields */
    }

No description available.

Available since: 0

#### Ancestors

- MsgService
- GObject

#### Constructors

###### msg_drive_service_new

Creates a new `MsgDriveService` using `MsgAuthorizer`.

since: 0

#### Instance methods

###### msg_drive_service_add_item_to_folder

Adds item to parent folder.

since: 0

###### msg_drive_service_create_folder

Creates a new folder called name under parent.

since: 0

###### msg_drive_service_delete

Deletes item.

since: 0

###### msg_drive_service_download_item

Download item.

since: 0

###### msg_drive_service_download_url

Download url.

since: 0

###### msg_drive_service_get_drives

Queries the Microsoft Graph API for all the drives of the currently logged in user.

since: 0

###### msg_drive_service_get_root

Get root item of selected drive.

since: 0

###### msg_drive_service_get_shared_with_me

Requests all shared with me items.

since: 0

###### msg_drive_service_list_children

Get a list of all files in folder item.

since: 0

###### msg_drive_service_rename

Sets a new drive item name.

since: 0

###### msg_drive_service_update

Creates an update stream for drive item in order to update it’s content.

since: 0

###### msg_drive_service_update_finish

Finish a update session of given #item.

since: 0

##### Methods inherited from MsgService (6)

###### msg_service_build_message

Construct and checks a `SoupMessage` for transfer.

since: 0

###### msg_service_get_authorizer

Get related authorizer.

since: 0

###### msg_service_get_session

Get related soup session.

since: 0

###### msg_service_refresh_authorization

No description available.

since: 0

###### msg_service_send

Adds authorizer information to `message` and send it.

since: 0

###### msg_service_send_and_read

Adds authorizer information to `message` and send it.

since: 0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from MsgService (1)

###### Msg.Service:authorizer

No description available.

since: 0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct MsgDriveServiceClass {
      MsgServiceClass parent_class;

    }

No description available.

###### Class members

`parent_class: MsgServiceClass`
  No description available.